# Tests fail due to missing git data,
# and building the JS from source doesn't work (tested as of version 2.0.2)
%bcond_with	check

%define pypi_name	bokeh

Name:		python-%{pypi_name}
Version:	3.6.3
Release:	%mkrel 1
Summary:	Interactive plots and applications in the browser from Python
Group:		Development/Python
# BSD-3-Clause
License:	BSD
URL:		https://github.com/bokeh/bokeh
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:  pkgconfig(python3)

%description
Bokeh is an interactive visualization library for modern web browsers. It
provides elegant, concise construction of versatile graphics, and affords
high-performance interactivity over large or streaming datasets. Bokeh can help
anyone who would like to quickly and easily make interactive plots, dashboards,
and data applications.

%package -n	python3-%{pypi_name}
Summary:	Interactive plots and applications in the browser from Python 3

%description -n	python3-%{pypi_name}
Bokeh is an interactive visualization library for modern web browsers. It
provides elegant, concise construction of versatile graphics, and affords
high-performance interactivity over large or streaming datasets. Bokeh can help
anyone who would like to quickly and easily make interactive plots, dashboards,
and data applications.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires %{?with_check:-t}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files bokeh typings

%if %{with check}
%check
%tox
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md
%license LICENSE.txt
%{_bindir}/%{pypi_name}


%changelog
* Sun Mar 02 2025 wally <wally> 3.6.3-1.mga10
+ Revision: 2156985
- new version 3.6.3
- rebuild for python3.13

* Tue Mar 19 2024 papoteur <papoteur> 3.3.4-1.mga10
+ Revision: 2050842
- fix files list
+ daviddavid <daviddavid>
- new version: 3.3.4
- switch to pyproject

* Mon Dec 18 2023 papoteur <papoteur> 2.3.2-5.mga10
+ Revision: 2018944
- Mass Rebuild - Python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 2.3.2-4.mga9
+ Revision: 1823976
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 2.3.2-3.mga9
+ Revision: 1785720
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 2.3.2-2.mga9
+ Revision: 1733019
- Rebuild for python 3.9

* Thu May 27 2021 joequant <joequant> 2.3.2-1.mga9
+ Revision: 1728545
- update to 2.3.2

* Tue Nov 03 2020 joequant <joequant> 2.2.3-1.mga8
+ Revision: 1641887
- update to 2.2.3

* Sat Jul 25 2020 daviddavid <daviddavid> 2.1.1-1.mga8
+ Revision: 1608931
- initial package python-bokeh

